# IO_Program.cpp File Reference

`#include <osgParticle/Program>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_Program.cpp:

## Functions

bool | Program_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | Program_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | Program_Proxy (0,"Program","Object Node ParticleProcessor Program", Program_readLocalData, Program_writeLocalData)

## Function Documentation

bool Program_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool Program_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy Program_Proxy(0,"Program","Object Node ParticleProcessor Program", Program_readLocalData, Program_writeLocalData)